Will my device stop working when 3G shuts down?

If you have received a notification from us stating "your service may be being used with a device not fully compatible with the 4G VoLTE and 5G networks", it is likely that you will need to upgrade to a compatible device by 31 August 2024 to continue using our services.

Please note that the notification will be sent to the account-holder, and the affected device could be any, some, or all of the devices connected to an account.

If you have multiple services it is important to check the specifications on each device to ensure that they support 4G for data and VoLTE for calls, and are compatible with the 4G and/or 5G bands that ALDImobile operates upon.